package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum MessageTypeEnum implements BaseEnum<String, MessageTypeEnum> {
	CUSTOME_MESSAGE_PUSH("自定义系统消息推送"),
    SMS_VERIFY_CODE_LOGIN("验证码登录"),
    SMS_VERIFY_CODE_LOGOFF("用户注销"),
    SMS_VERIFY_CODE_REGISTER("验证码注册"),
    SMS_VERIFY_CODE_UPDATE_PSW("密码修改"),
    SMS_VERIFY_CODE_UPDATE_PHONE("修改手机号"),
    SMS_VERIFY_CODE("验证码"),
    KAPTCHA_SESSION_KEY("登录图形验证码"),
    STUDENT_BUY_TEACHER_MUSIC_SHEET("学员购买老师乐谱"),
    MUSIC_SHEET_AUTH_PASS("乐谱审核通过"),
    MUSIC_SHEET_AUTH_UNPASS("乐谱审核失败"),
    SMS_VERIFY_CODE_BANK_CARD("银行卡验证"),

    VIDEO_SHEET_AUTH_PASS("视频课审核通过"),
    VIDEO_SHEET_AUTH_UNPASS("视频课审核失败"),

    STUDENT_BUY_MUSIC_ALBUM_SUCCESS("购买专辑成功"),
    TEACHER_BUY_MUSIC_ALBUM_SUCCESS("购买专辑成功"),
    SMS_STUDENT_BUY_MUSIC_ALBUM_SUCCESS("学员购买乐谱(短信)"),

    STUDENT_BUY_MUSIC_SHEET_SUCCESS("学员购买乐谱成功"),
    TEACHER_BUY_MUSIC_SHEET_SUCCESS("老师购买乐谱成功"),
    SMS_STUDENT_BUY_MUSIC_SHEET_SUCCESS("学员购买乐谱(短信)"),

    TEACHER_DECORATE_HOMEWORK("老师布置作业"),
    TEACHER_REVIEW_HOMEWORK("老师点评作业"),
    STUDENT_SUBMIT_HOMEWORK("学员提交作业"),

    TEACHER_AUTH_PASS("达人认证通过"),
    SMS_TEACHER_AUTH_PASS("达人认证通过(短信)"),

    TEACHER_AUTH_FAIL("达人认证失败"),
    SMS_TEACHER_AUTH_FAIL("达人认证失败(短信)"),

    MUSICIAN_AUTH_PASS("音乐人认证通过"),
    SMS_MUSICIAN_AUTH_PASS("音乐人认证通过(短信)"),

    MUSICIAN_AUTH_FAIL("音乐人认证失败"),
    SMS_MUSICIAN_AUTH_FAIL("音乐人认证失败(短信)"),

    STUDENT_BUY_PRACTICE("学员购买陪练课"),
    SMS_STUDENT_BUY_PRACTICE("学员购买陪练课(短信)"),
    ARRANGE_PIANO_ROOM_CLASS("琴房课排课"),

    STUDENT_BUY_LIVE("学员购买直播课"),
    STUDENT_BUY_VIDEO("学员购买视频课"),
    LIVE_COMPLETION_SUCCESS("直播课成课"),
    LIVE_COMPLETION_FAIL("直播课成课失败"),
    TOMORROW_COURSE_REMINDER("明日课程提醒（每晚9点）"),
    STUDENT_PRACTICE_REMINDER("陪练课提醒（陪练课开始前20分钟）"),
    LIVE_REMINDER("直播课提醒（直播课开始前20分钟）"),
    COURSE_SETTLEMENT("课酬结算（每晚9点）"),
    NOT_EVALUATE_STUDENT_PRACTICE("当日陪练课未评价/布置作业（每晚9点30，已评价/已布置不发）"),
    STUDENT_EVALUATE_TEACHER_PRACTICE("学员对老师评价"),
    WITHDRAWAL_SUCCESS("结算成功"),
    STUDENT_JOIN_FANSGROUP("学员申请加入粉丝群"),

    VIP_BUY_SUCCESS("会员购买成功"),
    SMS_VIP_BUY_SUCCESS("会员购买成功(短信)"),

    VIP_EXPIRE_THIRTY_DAY("会员到期前30天"),
    SMS_VIP_EXPIRE_THIRTY_DAY("会员到期前30天(短信)"),

    VIP_EXPIRE("会员到期"),
    SMS_VIP_EXPIRE("会员到期(短信)"),

    PRACTICE_BUY("陪练课购买"),
    SMS_PRACTICE_BUY("陪练课购买(短信)"),

    LIVE_BUY("直播课购买"),
    SMS_LIVE_BUY("直播课购买"),


    VIDEO_BUY("视频课购买"),
    SMS_VIDEO_BUY("视频课购买(短信)"),

    PRACTICE_REMIND("陪练课提醒（陪练课开始前20分钟）"),
    LIVE_REMIND("直播课提醒（直播课开始前20分钟）"),
    NOT_EVALUATE_TEACHER_PRACTICE("当日陪练课未对老师评价（每晚9点，已评价不发）"),
    FANSGROUP_APPLY_SUCCESS("粉丝群申请通过"),

    TEACHER_STYLE_VIDEO_SUCCESS("个人风采审核通过"),
    TEACHER_STYLE_VIDEO_FAIL("个人风采审核失败"),

    TEACHER_WITHDRAW_UNPASS("老师结算审核不通过"),
    TEACHER_WITHDRAW_SUCCESS("老师结算成功"),

    //------短信模板------
    SMS_BUY_LIVE("直播课购买成功"),
    SMS_LIVE_COMPLETION_SUCCESS("直播课成课"),
    SMS_LIVE_COMPLETION_FAIL("直播课成课失败"),
    SMS_TOMORROW_COURSE_REMINDER("明日课程提醒（每晚9点）(短信)"),

    MUSIC_SHEET_OUT_SALE_REASON("老师曲目下架通知"),
    LIVE_COURSE_OUT_SALE_REASON("老师直播课下架通知"),
    VIDEO_COURSE_OUT_SALE_REASON("老师视频课下架通知"),
    ACTIVITY_JOIN_MESSAGE("活动参与通知"),

    PIANO_ROOM_TIMES_ADD("增加琴房时长通知"),
    PIANO_ROOM_TIMES_SUB("扣除琴房时长通知"),

    PIANO_ROOM_ADJUST("琴房课调整"),
    PRACTICE_ADJUST("陪练课调整"),
    ACTIVITY_WIN("获奖消息"),
    PLATFORM_ADD_VIP("会员赠送"),
    SMS_STUDENT_LIVE_COMPLETION_FAIL("直播课成课失败"),
    STUDENT_LIVE_COMPLETION_FAIL("直播课成课失败"),
    COUPON_ISSUE("优惠券发放"),

    ;

    MessageTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @EnumValue
    private String code;

    private String msg;

    public String getMsg() {
        return this.msg;
    }

    public String getCode() {
        return this.code;
    }

}
